## glance 14.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.6.0 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
sqlparse>=0.2.2 # BSD
alembic>=0.8.10 # MIT
httplib2>=0.7.5 # MIT
pycrypto>=2.6 # Public Domain
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
futurist!=0.15.0,>=0.11.0 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
WSME>=0.8 # MIT
PrettyTable<0.8,>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
pyOpenSSL>=0.14 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.18.0 # Apache-2.0


# Artifact repository
semantic-version>=2.3.1 # BSD

debtcollector>=1.2.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
cursive>=0.1.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
glance (2:14.0.1-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  [ Chuck Short ]
  * d/glance-common.postinst: Make sure the permissions on /etc/glance is
    set to 0700. (LP: #1675088) 

  [ Corey Bryant ]
  * New stable point release for OpenStack Ocata (LP: #1759855).
  * d/glance-common.postinst: Fix permissions on /etc/glance so that
    the glance user can actually access the directory (LP: #1675088).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 10:01:16 -0400

glance (2:14.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Feb 2017 17:48:59 +0000

glance (2:14.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:50:44 -0500

glance (2:14.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 10:38:15 -0500

glance (2:14.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/p/skip-tests-for-location-add-replace-on-queued.patch: Dropped
    no longer needed. 
  * d/p/add-root-tar-support.patch: Refreshed.
  * New upstream release. 
  * Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 14:20:17 -0500

glance (2:14.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/p/skip-tests-for-location-add-replace-on-queued.patch: Cherry-picked
    from upstream master to skip two tests hitting webob.exc.HTTPBadRequest.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Dec 2016 08:04:47 -0500

glance (2:14.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:13:46 -0500

glance (2:14.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/skip-online-tests.patch: Rediffed

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Nov 2016 07:41:37 -0500

glance (2:13.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for Openstack Netwon.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 10:26:15 -0400

glance (2:13.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:55:18 -0400

glance (2:13.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:57:46 -0400

glance (2:13.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/p/*: Rebased.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Add python-pep8 to BDs.

  [ James Page ]
  * New upstream release.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:01:44 +0100

glance (2:13.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 13:47:44 -0400

glance (2:13.0.0~b1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/p/drop-sphinx-git.patch: Dropped, no longer required.
  * d/p/*: Refresh.
  * Align (Build-)Depends with upstream.
  * d/rules,control: Switch to using os-testr for unit test execution.
  * d/glance-registry.manpages: Add manpage for glance-replicator.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jun 2016 15:36:47 +0100

## glance 15.0.0

=== debian/changelog ===
glance (2:15.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:19:49 -0400

glance (2:15.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/glance-api.postinst, d/glance-registry.postinst: Drop db sync
    commands (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:54:14 -0400

glance (2:15.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:06:06 -0400

glance (2:15.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-doc-paths.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 15:05:32 -0400

glance (2:15.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:29 -0400

glance (2:15.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/glance-common.install: Install glance-wsgi-api.
  * New upstream snapshot.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/update-doc-paths.patch: Align paths for man pages with recent
    upstream changes that moved the files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:52:11 -0400

glance (2:15.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:07:07 +0100

glance (2:15.0.0~b1-0ubuntu3) artful; urgency=medium

  * d/glance-common.postinst: Fix permissions on /etc/glance so that
    the glance user can actually access the directory.

 -- James Page <james.page@ubuntu.com>  Tue, 02 May 2017 21:17:44 -0400

glance (2:15.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:01:45 +0100

glance (2:15.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/glance-common.postinst: Make sure the permissions on /etc/glance is
    set to 0700. (LP: #1675088) 
  * d/pydist-overrides: Removed since packages listed no longer applied.
  * d/patches/sql_connection.patch, d/rules: Do glance configuration by using
    pkgos-fix-config-default so we do not patch the configuration files.
    Dropped patch.
  * d/patches/skip-online-tests.patch: Dropped since the unit tests 
    do not try to call out anymore.
  * d/patches/skip-tests.patch: Dropped no longer needed.
  * d/control, d/glance-glare.init.in, d/glance-glare.install: Remove glare
    since it has become its own project.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 17:19:09 +0100

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: bandit,
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.6),
                     python-cursive (>= 0.1.1),
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glance-store (>= 0.22.0),
                     python-hacking (>= 0.10.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.11),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 3.1.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-migrate (>= 0.11.0),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-prettytable (>= 0.7.1),
                     python-psutil (>= 3.2.2),
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-requests (>= 2.14.2),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 2.3.1),
                     python-semantic-version (>= 2.3.1),
                     python-sendfile (>= 2.0.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-taskflow (>= 2.7.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     python-wsme (>= 0.8),
                     python-xattr (>= 0.4),
                     subunit,
Standards-Version: 3.9.8
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
XS-Testsuite: autopkgtest

Package: python-glance
Architecture: all
Section: python
Depends: python-cryptography (>= 1.6),
         python-cursive (>= 0.1.1),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-glance-store (>= 0.22.0),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.11),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 3.1.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-migrate (>= 0.11.0),
         python-monotonic,
         python-openssl (>= 0.14),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.utils (>= 3.20.0),
         python-osprofiler (>= 1.3.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-prettytable (>= 0.7.1),
         python-retrying (>= 1.2.3),
         python-routes (>= 2.3.1),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-taskflow (>= 1.26.0),
         python-webob (>= 1.7.1),
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends: glance-api (= ${source:Version}),
         glance-registry (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends: adduser,
         python-glance (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Breaks: glance ( <= 2011.3-0ubuntu4.1 ),
Replaces: glance ( <= 2011.3-0ubuntu4.1  ),
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2),
Depends: glance-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2),
Depends: glance-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing
	pkgos-fix-config-default $(CURDIR)/glance-api/etc/glance/glance-api.conf database connection sqlite:////var/lib/glance/glance.sqlite
	pkgos-fix-config-default $(CURDIR)/glance-api/etc/glance/glance-api.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/glance-registy/etc/glance/glance-registry.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/glance-registy/etc/glance/glance-registry.conf database connection sqlite:////var/lib/glance/glance.sqlite

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr --regex "^glance.tests.unit.*"
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build/man doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build glance.sqlite .testrepository
	rm -f debian/*.init debian/*.service debian/*.upstart

## glance 15.0.1

=== debian/changelog ===
glance (2:15.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 22 Mar 2018 21:40:26 +0000

glance (2:15.0.1-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:42:06 -0400

## glance 16.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
defusedxml>=0.5.0 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
sqlparse>=0.2.2 # BSD
alembic>=0.8.10 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=5.1.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable<0.8,>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema<3.0.0,>=2.6.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
pyOpenSSL>=16.2.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.10.0 # MIT

oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.22.0 # Apache-2.0


debtcollector>=1.2.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
glance (2:16.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 13:46:27 -0500

glance (2:16.0.0~rc3-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens (LP: #1750705).

 -- James Page <james.page@ubuntu.com>  Thu, 22 Feb 2018 14:46:15 +0000

glance (2:16.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:51:43 -0500

glance (2:16.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/control: Add defusedxml to (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 11:39:19 +0000

glance (2:16.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/glance-common.postinst: Use reserved uid/gid for glance user/group,
    ensuring consistency across deployments (LP: #1657202).
  * d/glance-common.install,rules: Skip install of rootwrap.conf as this
    is also shipped in glance-store.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 15:21:39 +0000

glance (2:16.0.0~b2-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/add-root-tar-support.patch: Rebased.
  * d/control: Drop back to python-os-testr 0.8.0 for now.

  [ James Page ]
  * d/*.install: Install configuration files from usr/etc/glance.
  * d/watch: Scope to 16.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/rules,control: Set defaults using crudini.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 10:25:01 +0000

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 crudini,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-cursive (>= 0.2.1),
 python-ddt (>= 1.0.1),
 python-debtcollector (>= 1.2.0),
 python-defusedxml (>= 0.5.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-futurist (>= 1.2.0),
 python-glance-store (>= 0.22.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-monotonic (>= 0.6),
 python-openssl (>= 16.2.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-prettytable (>= 0.7.1),
 python-psutil (>= 3.2.2),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-semantic-version (>= 2.3.1),
 python-sendfile (>= 2.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-sqlparse (>= 0.2.2),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-taskflow (>= 2.16.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 python-xattr (>= 0.9.2),
 subunit,
Standards-Version: 4.1.2
XS-Python-Version: >= 2.7
Homepage: http://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
XS-Testsuite: autopkgtest

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${source:Version}),
 glance-registry (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Replaces:
 glance (<< 2012.1~e1~20110919.1021-0ubuntu2),
Depends:
 glance-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 python-glance (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 glance ( <= 2011.3-0ubuntu4.1 ),
Replaces:
 glance ( <= 2011.3-0ubuntu4.1  ),
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-registry
Architecture: all
Section: python
Replaces:
 glance (<< 2012.1~e1~20110919.1021-0ubuntu2),
Depends:
 glance-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

Package: python-glance
Architecture: all
Section: python
Depends:
 python-alembic (>= 0.8.10),
 python-cryptography (>= 1.9),
 python-cursive (>= 0.2.1),
 python-debtcollector (>= 1.2.0),
 python-defusedxml (>= 0.5.0),
 python-eventlet (>= 0.18.2),
 python-futurist (>= 1.2.0),
 python-glance-store (>= 0.22.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-migrate (>= 0.11.0),
 python-monotonic (>= 0.6),
 python-openssl (>= 16.2.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-sqlparse (>= 0.2.2),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,11 @@
 	uscan --verbose --force-download --rename --destdir=../build-area
 
 override_dh_install:
-	dh_install --fail-missing
-	pkgos-fix-config-default $(CURDIR)/glance-api/etc/glance/glance-api.conf database connection sqlite:////var/lib/glance/glance.sqlite
-	pkgos-fix-config-default $(CURDIR)/glance-api/etc/glance/glance-api.conf database backend sqlalchemy
-	pkgos-fix-config-default $(CURDIR)/glance-registy/etc/glance/glance-registry.conf database backend sqlalchemy
-	pkgos-fix-config-default $(CURDIR)/glance-registy/etc/glance/glance-registry.conf database connection sqlite:////var/lib/glance/glance.sqlite
+	dh_install --fail-missing -Xrootwrap.conf
+	crudini --merge $(CURDIR)/debian/glance-api/etc/glance/glance-api.conf \
+		< $(CURDIR)/debian/glance-api.conf.defaults
+	crudini --merge $(CURDIR)/debian/glance-registry/etc/glance/glance-registry.conf \
+		< $(CURDIR)/debian/glance-registry.conf.defaults
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
